Subject: Re: bug#61387: 30.0.50; Support webkit2gtk-4.1

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Feb 2023 17:41:55 +0200

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Feb 2023 15:19:37 +0100
> 
> >>>>> On Thu, 09 Feb 2023, Eli Zaretskii wrote:
> 
> > Are you proposing this for Emacs 29 or for Emacs 30?
> 
> Emacs 30, because I thought that it was to late for it to land in the
> emacs-29 branch? If it could be included in Emacs 29, I would prefer
> that.

But if Gentoo is transitioning to this new version of webkit, wouldn't
it make sense for Emacs 29 to support that, rather than require users
to have a version of webkit that is considered outdated by Gentoo?

> >> The patch below adds a configure option --with-webkit2gtk=VALUE that
> >> allows to select version 4.0 or 4.1.
> 
> > Is it really necessary to ask for a specific version?  Why cannot
> > Emacs use the version that is installed?
> 
> That could be done as a fallback, but a configure switch is still
> needed. Think of a package for a distro, which has to include the
> information whether webkit2gtk-4.0 or 4.1 have to be pulled in as
> a dependency. There, Emacs has to be built against a well-defined
> version, even if both versions of webkit2 are installed on the build
> system (for Gentoo, that will be the case for some transition time).
> 
> Should I update the patch to allow 3 values "4.0", "4.1", and "auto",
> with "auto" being the default?

Yes, please.

> And in the default case, should it check for 4.0 or 4.1 first?

I think 4.1 first, don't you agree?